
#include <lpc214x.h>

void delay (void)
{
	unsigned long time = 1000000;
	while (time--);  // this will keep executing untill time becomes 0
}


int main ()
{
	PINSEL0 = PINSEL1 = 0;   // set P0.0 - P0.31 as GPIO 
	
	IODIR0 |= (1<<21);   // set P0.21 as output
	
	while (1)
	{
		IOSET0 |= (1<<21);   // set P0.21 as HIGH
		delay ();
		IOCLR0 |= (1<<21);  // Set P0.21 as LOW
		delay ();
	}
	
	return 0;
}
